<?php
namespace Teknisa\CTB\Factories;


use Teknisa\Model\Geral\Entities\Filial;
use Doctrine\ORM\EntityManager;

class Ger06300CentroDeCustoFactory{
     
    protected $entityManager;
    
    public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
		$this->entityManager = $entityManager;
	}

    public function buscaFilial($nrorg, $cdfilial){
        /** @var $params */
        $params = array();
        $params['nrorg']      = $nrorg;
        $params['cdfilial'] = $cdfilial;
        
        /** @var Filial $filial */
        $filial = $this->entityManager->getRepository(Filial::class)->findOneBy($params);
        
        return $filial;
    }
}